## Name

gfhost — Gfarm host maintenance command

## Synopsis

`gfhost` [ -H | -l | -M ] [-iLprUv] [-P `path`] [-a `architecture`] [-D `domain-name`] [-j `concurrency`] [`hostname`...]

`gfhost` -c [-P `path`] -a `architecture` -p `port-number` [-n `number-of-CPUs`] `hostname`

`gfhost` -m [-P `path`] [-a `architecture`] [-p `port-number`] [-n `number-of-CPUs`] [-A] `hostname`

`gfhost` -d [-P `path`] `hostname`...

`gfhost` -R [-P `path`]

## DESCRIPTION

gfhost is used to display and maintain information about filesystem nodes. The function that gfhost performs is determined by an option, -c, -d, -H, -l, -M, -m, -R. These functions are mutually exclusive, and only one option among them can be specified. If none of them is specified, host name will be displayed as the default function of gfhost.

## FUNCTIONS

Metadata in the metadata server will be accessed by function -c, -d, -M, -m or -R. These functions add/delete/display/modify/restore host information in the metadata.

If -H, -l or -M is specified, or none of the functions are specified, gfhost displays filesystem node information. The -M function only accesses information in the metadata server. Display functions other than -M also access gfsd, which is running on filesystem nodes. For functions which access gfhost, the access option can be specified by options -i, -j, -U and -v.

You don't have to specify hostnames for display functions. In that case, all hosts which are registered in metadata will be displayed, but you can limit the type of hosts displayed by the -a or -D option. By default, hosts are displayed in alphabetical order, but you can change this by the -L, -p, or -r options. Although the -L option is ignored in the -M function and in the default function. .

The following is a list of the functions of the gfhost command. You shouldn't specify more than one functions at a time.

<none>

  If you don't specify any of the functions, gfhost accesses gfsd, and displays the names of hosts which are currently available as its default function. Hostnames are displayed in alphabetical order, by default.

`-c`

  Creates the metadata information for the host that is specified in the argument. Option -a is mandatory for this function, this option specifies the architecture of the host. Option -p is mandatory in this function too, this option specifies the port number of gfsd on the host. Option -n may be used to specify the number of CPUs of the host, and 1 CPU is assumed, if -n is omitted.

  You can specifiy multiple hostnames in this function. In that case, the first hostname is treated as the identifier of the host, and the host identifier is used for replication information management.

`-d`

  Deletes host information from metadata. Currently, even hosts which are referred by replica catalog can be deleted. But be careful, because such deletions cause inconsistencies of metadata.

`-H`

  Displays load average and authentication method. With this function, the exact hostname passed by the gfhost command arguments will be displayed instead of the canonical host identifier. Also, this function displays the IP address used to access gfsd in parentheses just after the hostname.

  If the host cannot be accessed due to a machine down or network problem, etc., x.xx/x.xx/x.xx will be displayed in the load average field. If the host is up, but gfsd on the host cannot be accessed, -.--/-.--/-.-- will be displayed.

  The next field is the authentication method used with the host. `G' in this field means GSI authentication and encryption, `g' means only authentication is performed by GSI and actual communication is unprotected plain data (gsi_auth), `s' means gfarm sharedsecret authentication, `x' means that the authentication failed, and `-' means that the authentication wasn't actually tried. If the -U option is specified, this authentication method field won't be provided.

  Hostnames are displayed in alphabetical order, by default.

`-l`

  Displays in the long format. This function displays both information retrieved from gfsd and the metadata server. The types of information retrieved from gfsd are load average and authentication method. And the types of information retrieved from the metadata server are architecture name, number of CPUs and host identifier. IP address will be displayed in parentheses just after the hostname used for the access to gfsd.

  If the host cannot be accessed due to a machine down or network problem, etc., x.xx/x.xx/x.xx will be displayed in the load average field. If the host is up, but gfsd on the host cannot be accessed , -.--/-.--/-.-- will be displayed.

  The next field is the authentication method used with the host. `G' in this field means GSI authentication and encryption, `g' means only authentication is performed by GSI and actual communication is unprotected plain data (gsi_auth), `s' means gfarm sharedsecret authentication, `x' means that the authentication failed, and `-' means that the authentication wasn't actually tried. If that -U option is specified, this authentication method field won't be provided.

  Hostnames are displayed in alphabetical order, by default.

`-M`

  The metadata information of the hosts will be displayed. Hostnames are displayed in alphabetical order, by default.

`-m`

  Modifies metadata information of the host, by specifying the host identifier. The -a and -n options overwrite the current value of each option.

`-R`

  Restores metadata information read from standard input. The format of the metadata is same as the format that the -M function displays.

`-?`

  Prints usage.

## OPTIONS

`-a` `architecture`

  This option specifies the CPU architecture using a format like sparc-sun-solaris8 or i386-redhat8.0-linux, etc. If this option is used with the -c or -m function, this means the architecture used to add/modify the metadata information. If this option is used with -H, -l, -M function or default function, this limits hosts to the specified architecture.

`-D` `domain-name`

  This option is used with the -H, -l, -M function or the default function to limit hosts to the specified domain.

`-i`

  There is an "address_use" directive in %%SYSCONFDIR%%/gfarm2.conf and $HOME/.gfarm2rc to give priorities of network addresses for gfarm access. This directive works with the gfhost command, but will be ignored, if you specified the -i option with gfhost.

`-j` `concurrency`

  This option specifies the concurrency used for access to gfsd. The default value is 10.

`-L`

  Sorts by load average order. This option is effective only with the -H and -l functions.

`-n` `number-of-CPUs`

  This option is used with the -c or -m function, and specifies the number of CPUs of the host.

`-p` `port-number`

  This option is used with -c or -m function, and specifies the port number of gfsd on the host.

`-P` `path`

  This option specifies a pathname or a Gfarm URL to identify a metadata server which will be accessed by this command. If not specified, "/" is used as the default value.

`-r`

  Reverses the order of sort.

`-u`

  Plain order. This option stops sorting on the -H, -l, -M function or the default function. With the -M function, command argument order (if any), or the order that the metadata server answers is used for display. With the -H, -l function or the default function, the result is displayed in the order that each gfsd answers.

`-U`

  Suppresses authentication attempts by TCP, and only queries load average by UDP. This option only makes sense if you specified the -H or -l function, or if you didn't specify any function. This option makes the gfhost command run faster. If the -H or -l function is specified, this option makes the authentication method field disappear.

`-v`

  The -H, -l function and the default function don't produce error reports on gfsd accesses; these error reports will be produced by this option.

## SEE ALSO

gfarm2.conf(5), gfsd(8)